Skip to main content
Create Contact Custom Field

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

select
string

Filtering Columns

Body

application/json

contact_custom_field

contact_id
string<uuid>

Contact ID

custom_field_id
string<uuid>

Custom field ID

created_at
string<timestamp with time zone>
default:now()

Contact custom field creation date

updated_at
string<timestamp with time zone>
default:now()

Latest update

organisation_id
string<uuid>

Organisation ID

key
string<text>

Contact custom field key

value
string<text> | null

Value of contact custom field

date_value
string<date> | null

Date value

string_value
string<text> | null

String value

number_value
number<numeric> | null

Number value

boolean_value
boolean<boolean> | null

Boolean value

datetime_value
string<timestamp with time zone> | null

Datetime value

string_list_value
string[] | null

String list value

Response

The updated Contact Custom Field object

contact_id
string<uuid>

Contact ID

custom_field_id
string<uuid>

Custom field ID

created_at
string<timestamp with time zone>
default:now()

Contact custom field creation date

updated_at
string<timestamp with time zone>
default:now()

Latest update

organisation_id
string<uuid>

Organisation ID

key
string<text>

Contact custom field key

value
string<text> | null

Value of contact custom field

date_value
string<date> | null

Date value

string_value
string<text> | null

String value

number_value
number<numeric> | null

Number value

boolean_value
boolean<boolean> | null

Boolean value

datetime_value
string<timestamp with time zone> | null

Datetime value

string_list_value
string[] | null

String list value